Package ru.bitel.bgbilling.modules.cerbercrypt.common.service

# Interface ChannelService

    public interface ChannelService

Каналы в админке.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<Channel>` | `channelList()` | Список всех каналов.
  `java.util.List<ChannelMapping>` | `channelMappingTable​(int channelId)` | Список маппиннгов.
  `void` | `deleteChannel​(int id)` | Удаление канала.
  `void` | `deleteChannelMapping​(int mappingId)` | Удаление маппинга.
  `Channel` | `getChannel​(int id)` | Получение канала.
  `ChannelMapping` | `getChannelMapping​(int mappingId)` | Получение маппинга.
  `java.util.List<IdTitle>` | `getServers()` | Получение списков серверов.
  `int` | `updateChannel​(Channel channel)` | Редактирование канала.
  `void` | `updateChannelMapping​(ChannelMapping mapping)` | Обновление маппинга.

- ## Method Details

  - ### channelList

    java.util.List<Channel> channelList() throws ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGException
    Список всех каналов. Модуль церберкрипт -> каналы.
    Returns:
      список.
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteChannel

    void deleteChannel​(int id) throws ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGException
    Удаление канала. Модуль церберкрипт -> каналы.
    Parameters:
      `id` - ид канала.
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateChannel

    int updateChannel​(Channel channel) throws ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGException
    Редактирование канала. Модуль церберкрипт -> каналы.
    Parameters:
      `channel` - канал.
    Returns:
      новый id если добавилось (или тот же если редактировалось)
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getChannel

    Channel getChannel​(int id) throws ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGException
    Получение канала. Модуль церберкрипт -> каналы.
    Parameters:
      `id` - ид канала.
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getServers

    java.util.List<IdTitle> getServers() throws ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGException
    Получение списков серверов. Модуль церберкрипт -> каналы.
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGException`

  - ### channelMappingTable

    java.util.List<ChannelMapping> channelMappingTable​(int channelId) throws ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGException
    Список маппиннгов. Модуль церберкрипт -> каналы.
    Parameters:
      `channelId` - ид канала.
    Returns:
      список маппингов.
    Throws:
      `ru.bitel.bgbilling.common.BGMessageException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getChannelMapping

    ChannelMapping getChannelMapping​(int mappingId) throws ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGException
    Получение маппинга. Модуль церберкрипт -> каналы. Редактор логического канала.
    Parameters:
      `mappingId` -
    Returns:
      маппинг.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateChannelMapping

    void updateChannelMapping​(ChannelMapping mapping) throws ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGException
    Обновление маппинга. Модуль церберкрипт -> каналы. Редактор логического канала.
    Parameters:
      `mapping` - маппинг.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteChannelMapping

    void deleteChannelMapping​(int mappingId) throws ru.bitel.bgbilling.common.BGMessageException, ru.bitel.bgbilling.common.BGException
    Удаление маппинга. Модуль церберкрипт -> каналы.
    Parameters:
      `mappingId` -
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`